Compatibilité avec Internet Explorer 6 et inférieur

Une application Internet présente l’avantage de pouvoir être utilisée depuis n’importe quel ordinateur au moyen d’un navigateur Internet. Malheureusement pour nous (développeurs web), tous les navigateurs ne sont pas égaux dans le rendu des pages. Ainsi lorsque nous mettons en place des nouvelles pages ou des nouvelles fonctionnalités pour SP-Gestion nous dever nous assurer qu’elles fonctionnent et s’affichent de manière quasi-identiques entre la plupart des navigateurs du marché.

Ceci implique donc de tester les pages sur, au minimum, Internet Explorer, Safari et Firefox ce qui représente un travail assez fastidieux surtout quand on sait qu’il existe de nombreuses versions des navigateurs en question.

Etant donné les statistiques de visite du site et le fait que SP-Gestion est utilisé depuis des ordinateurs personnels [1] ou vous avez la liberté d’installer le navigateur de votre choix nous avons fait le choix de ne plus tester SP-Gestion sur Internet Explorer 6 et inférieur [2].

Internet Explorer 6 date de 2001 et n’est plus compatible avec Windows Vista et Windows 7, de plus il a été remplacé en 2006 par Internet Explorer 7 (mise à jour automatique et gratuite depuis Windows Update), ce choix ne doit donc pas porter à conséquence pour 99.99% des utilisateurs de SP-Gestion 😉 Pour les 0.01% restant, un joli message s’affiche en haut du site :

Internet Explorer 6

et vous propose de mettre à jour Internet Explorer ou d’utiliser un autre navigateur.

[1] contrairement aux ordinateurs d’entreprise ou l’installation et la mise à jour de logiciel est bien souvent prohibée
[2] nous ne testons plus sur Internet Explorer 6 et inférieur ce qui ne veut pas dire que le site ne marche pas sur ces navigateurs mais que nous ne le garantissons pas… du tout !

Laisser un commentaire